#include "../../../lib/std.mi"

Function fadeG(Group G, int TargetA, Float Speed);
Function fadeL(Layer L, int TargetA, Float Speed);
Function movefadeL(Layer L, int TargetA, int TargetX, int TargetY, Float Speed);

Global	Group	grpMain, grpCButton, grpIPanel, grpPlay, grpNext, grpPrev, grpStop, grpEQBand, grpEQBtn, grpEQBack, grpVolume;
Global	Layer	lyrChara, lyrIPanel, lyrEQPanel;
Global	int		intCount;
Global	Timer	tmrLily;

System.onScriptLoaded(){
	grpMain		= getScriptGroup();
	grpCButton	= grpMain.findObject("Player.Button.Control.Group");
	grpIPanel	= grpMain.findObject("Player.InfoPanel.Group");
	grpEQBtn	= grpMain.findObject("EQ.Buttons");
	grpEQBand	= grpMain.findObject("EQ.Band.Group");
	grpEQBack	= grpMain.findObject("EQ.Backbtn");
	
	grpPlay		= grpCButton.findObject("Player.Button.Play.Group");
	grpNext		= grpCButton.findObject("Player.Button.Next.Group");
	grpPrev		= grpCButton.findObject("Player.Button.Prev.Group");
	grpStop		= grpCButton.findObject("Player.Button.Stop.Group");
	grpVolume	= grpCButton.findObject("Player.Volume.Group");
	
	lyrChara	= grpMain.findObject("player.chara");
	lyrIPanel	= grpMain.findObject("player.infopanel");
	lyrEQPanel	= grpMain.findObject("eq.panel");
	
	tmrLily = new Timer;
	tmrLily.setDelay(100);
	
	grpEQBtn.hide();
	grpEQBand.hide();
	grpEQBack.hide();
	lyrEQPanel.hide();
	
	movefadeL(lyrChara, 255, 0, 0, 0.5);
	tmrLily.start();
}

System.onScriptUnloading(){
	Delete tmrLily;
}

tmrLily.onTimer(){
	if(intCount == 0){
		fadeG(grpNext, 255, 0.5);
	}
	else if(intCount == 1){
		fadeG(grpPlay, 255, 0.5);
		fadeL(lyrIPanel, 255, 0.5);
	}
	else if(intCount == 2){
		fadeG(grpStop, 255, 0.5);
		fadeG(grpVolume, 255, 0.5);
	}
	else if(intCount == 3){
		fadeG(grpPrev, 255, 0.5);
		fadeG(grpIPanel, 255, 0.5);
	}
	
	intCount++;
	if(intCount == 4){
		tmrLily.Stop();
		intCOunt = 0;
	}
}

fadeL(Layer L, int TargetA, Float Speed){
	L.setTargetA(TargetA);
	L.setTargetSpeed(Speed);
	L.gotoTarget();
}

fadeG(Group G, int TargetA, Float Speed){
	G.setTargetA(TargetA);
	G.setTargetSpeed(Speed);
	G.gotoTarget();
}

movefadeL(Layer L, int TargetA, int TargetX, int TargetY, Float Speed){
	L.setTargetA(TargetA);
	L.setTargetX(TargetX);
	L.setTargetY(TargetY);
	L.setTargetSpeed(Speed);
	L.gotoTarget();
}