#include "../../../lib/std.mi"

Function fadeG(Group G, int TargetA, Float Speed);
Function fadeL(Layer L, int TargetA, Float Speed);

Global	Group	grpMain, grpCButton, grpIPanel, grpVolume, grpPlay, grpNext, grpPrev, grpStop, grpStatus, grpEQBand, grpEQBtn, grpEQOn, grpAuto, grpPreset, grpLock, grpEQBack, grpEQ;
Global	Layer	lyrEQPanel, lyrIPanel;
Global	togglebutton	tglEQ, tglBack;
Global	int		intCount;
Global	Timer	tmrLilyMainEQ, tmrLilyEQMain, tmrLilyMainEQPanel, tmrLilyEQMainPanel;

System.onScriptLoaded(){
	grpMain		= getScriptGroup();
	grpCButton	= grpMain.findObject("Player.Button.Control.Group");
	grpIPanel	= grpMain.findObject("Player.InfoPanel.Group");
	grpStatus	= grpMain.findObject("EQ.Status");
	grpEQBtn	= grpMain.findObject("EQ.Buttons");
	grpEQBand	= grpMain.findObject("EQ.Band.Group");
	grpEQBack	= grpMain.findObject("EQ.Backbtn");
	
	grpEQOn		= grpEQBtn.findObject("EQ.eqbtn");
	grpAuto		= grpEQBtn.findObject("EQ.AutoBtn");
	grpPreset	= grpEQBtn.findObject("EQ.Preset");
	grpLock		= grpEQBtn.findObject("EQ.LockBtn");
	
	grpEQ		= grpIPanel.findObject("Player.Button.Window.Group");
	grpPlay		= grpCButton.findObject("Player.Button.Play.Group");
	grpNext		= grpCButton.findObject("Player.Button.Next.Group");
	grpPrev		= grpCButton.findObject("Player.Button.Prev.Group");
	grpStop		= grpCButton.findObject("Player.Button.Stop.Group");
	grpVolume	= grpCButton.findObject("Player.Volume.Group");
	
	lyrIPanel	= grpMain.findObject("player.infopanel");
	lyrEQPanel	= grpMain.findObject("eq.panel");
	
	tglEQ		= grpEQ.findObject("eq");
	tglBack		= grpEQBack.findObject("back");
	
	tmrLilyMainEQ = new Timer;
	tmrLilyMainEQ.setDelay(100);
	tmrLilyEQMain = new Timer;
	tmrLilyEQMain.setDelay(100);
	tmrLilyMainEQPanel = new Timer;
	tmrLilyMainEQPanel.setDelay(500);
	tmrLilyEQMainPanel = new Timer;
	tmrLilyEQMainPanel.setDelay(500);
}

System.onScriptUnloading(){
	Delete tmrLilyMainEQ;
	Delete tmrLilyEQMain;
	Delete tmrLilyMainEQPanel;
	Delete tmrLilyEQMainPanel;
}

tglEQ.onToggle(boolean on){
	tmrLilyMainEQ.start();
	grpEQBtn.show();
	grpEQBand.show();
	lyrEQPanel.show();
	lyrEQPanel.setXMLParam("ghost", "0");
	grpEQBack.show();
}

tmrLilyMainEQ.onTimer(){
	if(intCount == 0){
		fadeG(grpNext, 0, 0.5);
		tmrLilyMainEQPanel.start();
	}
	else if(intCount == 1){
		fadeG(grpPlay, 0, 0.5);
		fadeG(grpVolume, 0, 0.5);
	}
	else if(intCount == 2){
		fadeG(grpStop, 0, 0.5);
	}
	else if(intCount == 3){
		fadeG(grpPrev, 0, 0.5);
	}
	else if(intCount == 4){
		fadeG(grpLock, 255, 0.5);
	}
	else if(intCount == 5){
		fadeG(grpAuto, 255, 0.5);
	}
	else if(intCount == 6){
		fadeG(grpPreset, 255, 0.5);
	}
	else if(intCount == 7){
		fadeG(grpEQOn, 255, 0.5);
	}
	
	intCount++;
	if(intCount == 8){
		intCount = 0;
		tmrLilyMainEQ.stop();
		grpCButton.hide();
	}
}

tglBack.onToggle(boolean on){
	tmrLilyEQMain.start();
	grpCButton.show();
}

tmrLilyEQMain.onTimer(){
	if(intCount == 0){
		fadeG(grpEQOn, 0, 0.5);
		tmrLilyEQMainPanel.start();
	}
	else if(intCount == 1){
		fadeG(grpPreset, 0, 0.5);
	}
	else if(intCount == 2){
		fadeG(grpAuto, 0, 0.5);
	}
	else if(intCount == 3){
		fadeG(grpLock, 0, 0.5);
	}
	else if(intCount == 4){
		fadeG(grpPrev, 255, 0.5);
	}
	else if(intCount == 5){
		fadeG(grpStop, 255, 0.5);
	}
	else if(intCount == 6){
		fadeG(grpPlay, 255, 0.5);
		fadeG(grpVolume, 255, 0.5);
	}
	else if(intCount == 7){
		fadeG(grpNext, 255, 0.5);
	}
	
	intCount++;
	if(intCount == 8){
		intCount = 0;
		tmrLilyEQMain.stop();
		grpEQBtn.hide();
		grpEQBand.hide();
		lyrEQPanel.setXMLParam("ghost", "1");
		grpEQBack.hide();
	}
}

tmrLilyMainEQPanel.onTimer(){
	tmrLilyMainEQPanel.stop();
	fadeL(lyrIPanel, 0, 1);
	fadeL(lyrEQPanel, 255, 1);
	fadeG(grpIPanel, 0, 1);
	fadeG(grpEQBtn, 255, 1);
	fadeG(grpEQBand, 255, 1);
	fadeG(grpEQBack, 255, 1);
	fadeG(grpStatus, 255, 1);
}

tmrLilyEQMainPanel.onTimer(){
	tmrLilyEQMainPanel.stop();
	fadeL(lyrIPanel, 255, 1);
	fadeL(lyrEQPanel, 0, 1);
	fadeG(grpIPanel, 255, 1);
	fadeG(grpEQBtn, 0, 1);
	fadeG(grpEQBand, 0, 1);
	fadeG(grpEQBack, 0, 1);
	fadeG(grpStatus, 0, 1);
}

fadeL(Layer L, int TargetA, Float Speed){
	L.setTargetA(TargetA);
	L.setTargetSpeed(Speed);
	L.gotoTarget();
}

fadeG(Group G, int TargetA, Float Speed){
	G.setTargetA(TargetA);
	G.setTargetSpeed(Speed);
	G.gotoTarget();
}